#include<stdio.h>
#include<math.h>



int main()
{
long long L,D,br=0;;
float p,q,r;

scanf("%f%f%f%lld%lld",&p,&q,&r,&L,&D);
	

		
		
if (D<=100)
{
int g=(int)D;
	for(int i=(int)L;i<=g;i++)
	{
		if(      ceil(i/p)  +ceil(i/q)+ ceil(i/r)<=i   )
		{
		br++;
	//	printf("%d %f     %d %d %d\n", i, ceil(i/p)  +ceil(i/q)+ ceil(i/r),(int)ceil(i/p),(int)ceil(i/q),(int)ceil(i/r));
	   }
	}

	
}
else{
	
	
	for(int i=(int)L;i<=100;i++)
	{
		if(      (int)ceil(i*1.0/p)+(int)ceil(i*1.0/q)+(int)ceil(i*1.0/r) <=i      )
		br++;
	}
	
	br=br+D-100;
	
	
	
}



	printf("%lld",br);
	
	return 0;
}